% Problem 2.1
%{
MATLAB R2015b
generate the stiffness matrix C from the stiffness tensor c
%}
%% initialization
clc         % clear command window 
clear       % clear workspace
close all   % close all figures
%% input stiffness tensor c for T300-914 CFRP composite material
c(:,:,1,1)=1.0e+11*[1.4380    0           0       ;
                    0         0.0620      0       ;
                    0         0           0.0620  ];
                
c(:,:,2,1)=1.0e+09*[0         5.7000      0       ;
                    5.700     0           0       ;
                    0         0           0       ];
                
c(:,:,3,1)=1.0e+09*[0         0           5.7000  ;
                    0         0           0       ;  
                    5.7000    0           0       ];
                
c(:,:,1,2)=1.0e+09*[0         5.7000      0       ;
                    5.7000    0           0       ;
                    0         0           0       ];
                
 c(:,:,2,2)=1.0e+10*[0.6200   0           0       ;
                     0        1.3300      0       ;
                     0        0           0.6500  ];
                 
 c(:,:,3,2)=1.0e+09*[0        0           0       ;
                     0        0           3.4000  ;
                     0        3.4000      0       ];
                 
 c(:,:,1,3)=1.0e+09*[0        0           5.7000  ;
                     0        0           0       ;
                     5.7000   0           0       ];
                 
 c(:,:,2,3)=1.0e+09*[0        0           0       ;
                     0        0           3.4000  ;
                     0        3.4000      0       ];
                 
 c(:,:,3,3)=1.0e+10*[0.6200   0           0       ;
                     0        0.6500      0       ;
                     0        0           1.3300  ];
%% construct the stiffness matrix C
C=zeros(6,6);
%% pick up the elements of the stiffness matrix C (upper half + diagonal)
C(1,1)=c(1,1,1,1);  C(1,2)=c(1,1,2,2);  C(1,3)=c(1,1,3,3);
C(1,4)=c(1,1,2,3);  C(1,5)=c(1,1,3,1);  C(1,6)=c(1,1,1,2);
                    C(2,2)=c(2,2,2,2);  C(2,3)=c(2,2,3,3);
C(2,4)=c(2,2,2,3);  C(2,5)=c(2,2,3,1);  C(2,6)=c(2,2,1,2);
                                        C(3,3)=c(3,3,3,3);
C(3,4)=c(3,3,2,3);  C(3,5)=c(3,3,3,1);  C(3,6)=c(3,3,1,2);
C(4,4)=c(2,3,2,3);  C(4,5)=c(2,3,3,1);  C(4,6)=c(2,3,1,2);
                    C(5,5)=c(3,1,3,1);  C(5,6)=c(3,1,1,2);
                                        C(6,6)=c(1,2,1,2);

%% apply symmetry conditions
for p=2:6
    for q=1:p-1
    C(p,q)=C(q,p);
    end
end
display(C)
                
                
                
                
                
                