% Problem 2.10
%{
MATLAB R2015b
Calculate 3D compliance matrix S and stiffness matrix C 
Calculate 2D compliance matrix S and stiffness matrix Q 
from the engineering properties EL,ET,GLT,G23,nuLT
%}
%% initialization
clc         % clear command window 
clear       % clear workspace
close all   % close all figures
format compact  % eliminate the empty lines in the command window
%% input engineering properties
EL=140.0e9;   % longitudinal modulus, GPa
ET=10.05e9;    % transverse modulus, GPa
GLT=5.70e9;  % in-plane shear modulus, GPa
G23=3.40e9;  % transversely isotropic shear modulus, GPa
nuLT=0.313; % in-plane Poisson ratio
%% calculate derived property nu23
nu23=ET/(2*G23)-1;
%% (a) calculate 3D compliance matrix
S=[ 1/EL       -nuLT/EL    -nuLT/EL     0       0       0       ;
   -nuLT/EL     1/ET       -nu23/ET     0       0       0       ;
   -nuLT/EL    -nu23/ET     1/ET        0       0       0       ;
    0           0           0           1/G23   0       0       ;
    0           0           0           0       1/GLT   0       ;
    0           0           0           0       0       1/GLT   ]
%% calculate 3D stiffness matrix C
C=S\eye(6) % use mldivide  to get the inverse of S
%% (b) calculate 2D compliance matrix S_2D
S_2D=[ 1/EL       -nuLT/EL  0       ;
   -nuLT/EL        1/ET     0       ;
    0              0       1/GLT    ]
%% calculate 2D stiffness matrix Q
Q=S_2D\eye(3) % use mldivide  to get the inverse of S_2D


