% Problem 2.3
%{
MATLAB R2015b
calculate isotropic compliance matrix S and stiffness matrix C
for isotropic materials aluminum and steel
%}
%% initialization
clc         % clear command window 
clear       % clear workspace
close all   % close all figures
%% aluminum
% material properties
E_al=71.7e09;   nu_al=0.33;     % aluminum 7075-T6
% compliance matrix S
E=E_al; nu=nu_al;
G=E/(2*(1+nu));
S=[  1/E  -nu/E   -nu/E     0       0   0;
   -nu/E    1/E   -nu/E     0       0   0;
   -nu/E  -nu/E     1/E     0       0   0;
   0        0       0       1/G     0   0;
   0        0       0       0   1/G     0;
   0        0       0           0   0   1/G];
display(S,'S aluminum')
% Lame constants
lambda=nu/((1+nu)*(1-2*nu))*E; mu=E/(2*(1+nu));

% stiffness matrix C
C=[ lambda+2*mu     lambda      lambda      0   0   0;
    lambda          lambda+2*mu lambda      0   0   0;
    lambda          lambda      lambda+2*mu 0   0   0;
    0               0           0           mu  0   0;
    0               0           0           0   mu  0;
    0               0           0           0   0   mu];
display(C,'C aluminum')
display(C*S,'verify C*S=I for aluminum')

%% steel
% material properties
E_st=205e09;    nu_st=0.29;     % steel AISI 4340 normalized
% compliance matrix S
E=E_st; nu=nu_st;
G=E/(2*(1+nu));
S=[  1/E  -nu/E   -nu/E     0       0   0;
   -nu/E    1/E   -nu/E     0       0   0;
   -nu/E  -nu/E     1/E     0       0   0;
   0        0       0       1/G     0   0;
   0        0       0       0   1/G     0;
   0        0       0           0   0   1/G];
display(S,'S steel')
% Lame constants
lambda=nu/((1+nu)*(1-2*nu))*E; mu=E/(2*(1+nu));

% stiffness matrix C
C=[ lambda+2*mu     lambda      lambda      0   0   0;
    lambda          lambda+2*mu lambda      0   0   0;
    lambda          lambda      lambda+2*mu 0   0   0;
    0               0           0           mu  0   0;
    0               0           0           0   mu  0;
    0               0           0           0   0   mu];
display(C,'C steel')
display(C*S,'verify C*S=I for steel')






















