% Problem 2.4
%{
MATLAB R2015b
verify the transversely isotropic relations between elements of 
stiffness matrix C
C22=C33, C12=C13, C44=(C22-C23)/2, C55=C66
compliance matrix S
S22=S33, S12=S13, S44=2(S22-S23), S55=S66
%}
%% initialization
clc         % clear command window 
clear       % clear workspace
close all   % close all figures
format compact  % eliminate the empty lines in the command window
%% input stiffness matrix C for T300-914 CFRP composite material, GPa
C=  [143.8      6.2     6.2     0       0       0;
       6.2     13.3     6.5     0       0       0;
       6.2      6.5    13.3     0       0       0;
       0        0       0       3.4    0       0;
       0        0       0       0       5.7     0;
       0        0       0       0       0       5.7]*1.0e09;
%% (a) verify C44=(C22-C23)/2
% format long
C44=(C(2,2)-C(2,3))/2;
display ([C44,C(4,4), C44-C(4,4)],...
    'calculated C44=(C(2,2)-C(2,3))/2, original C(4,4), difference')
%% (b) calculate the compliance matrix S by inversion of stiffness matrix C
S=C\eye(6); % use mldivide  to get the inverse of C
display(S);
display (S*C,'S*C=')
%% (c) verify S44=2(S22-S23)
S44=2*(S(2,2)-S(2,3));
display ([S44,S(4,4), S44-S(4,4)],...
    'calculated S44=2*(S(2,2)-S(2,3)), original S(4,4), difference')
%% (d) recover the engineering properties EL, ET, GLT, nuLT, nu23
EL=1/S(1,1);        % longitudinal modulus
ET=1/S(2,2);        % transverse modulus
GLT=1/S(5,5);       % in-plane shear modulus
nuLT=-S(1,2)*EL;    % in-plane Poisson ratio
nu23=-S(2,3)*ET;    % transversely isotropic Poisson ratio
% format long
display([EL,ET,GLT],'EL, ET, GLT')
display([nuLT,nu23],'nuLT,  nu23')
%% (e) verify G23=ET/(2*(1+nu23))
G23=1/S(4,4);
G23_nu23=ET/(2*(1+nu23));
display([G23 G23_nu23 (G23-G23_nu23)],'G23, G23_nu23, difference(G23-G23_nu23)')





